#ifndef ANUGAVIS_HH
#define ANUGAVIS_HH

/* The main controller object. */

#include <list>
#include <string>
#include <SDL.h>
#include "height_quantity.hh"
#include "sww_file.hh"

using std::list;
using std::string;

class AnugaVis{
public:
  AnugaVis(const string &sww_file, int width, int height);
  ~AnugaVis(void);
  void add_HeightQuantity(HeightQuantity &height);
  void run(void);
private:
  void init_SDL(int width, int height);
  void init_OpenGL(int width, int height);
  SDL_Surface *screen;
  SWWFile sww_file;
  list<HeightQuantity> heights;
};

#endif
